Package: groovy.json

## [Java] Enum JsonTokenType

- groovy.json.JsonTokenType

- The original slurper and lexer use this class. This is kept around in case someone needs its exact behavior. Enum listing all the possible JSON tokens that should be recognized by the lexer.

  Authors:
    Guillaume Laforge
  Since:
    1.8.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLOSE_BRACKET` |
    `CLOSE_CURLY` |
    `COLON` |
    `COMMA` |
    `FALSE` |
    `NULL` |
    `NUMBER` |
    `OPEN_BRACKET` |
    `OPEN_CURLY` |
    `STRING` |
    `TRUE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getLabel()`
    `` | `Object` | `getValidator()`
    `` | `boolean` | `matching(String input)` Tells if an input string matches a token.
    `` | `static JsonTokenType` | `startingWith(char c)` Find which JSON value might be starting with a given character

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### JsonTokenType CLOSE_BRACKET

    - #### JsonTokenType CLOSE_CURLY

    - #### JsonTokenType COLON

    - #### JsonTokenType COMMA

    - #### JsonTokenType FALSE

    - #### JsonTokenType NULL

    - #### JsonTokenType NUMBER

    - #### JsonTokenType OPEN_BRACKET

    - #### JsonTokenType OPEN_CURLY

    - #### JsonTokenType STRING

    - #### JsonTokenType TRUE

  - ### Method Detail

    - #### public String getLabel()

    - #### public Object getValidator()

    - #### public boolean matching(String input)

      Tells if an input string matches a token.

      Parameters:
        `input` - the input string to match
      Returns:
        a `Matching` enum value: `YES` if this is an exact match, `POSSIBLE` if more characters could turn the input string into a valid token, or `NO` if the string cannot possibly match the pattern even with more characters to read.

    - #### public static JsonTokenType startingWith(char c)

      Find which JSON value might be starting with a given character

      Parameters:
        `c` - the character
      Returns:
        the possible token type found